<?php
/**
 * Clase BalanceDiaBL
 *
 * @package    
 * @subpackage 
 * @author     BalanceDiaBL
 * @version    SVN: $Id: BalanceDiaBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class BalanceDiaBL{
    
  /**
  * 
  *
  * @param $o_BalanceDiaBean, objeto de tipo BalanceDia 
  * @return Boolean
  */
  public function busquedaBalanceDia(BalanceDiaBean $o_BalanceDiaBean){
    
    $o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDiaBean);
    if($o_BalanceDiaBean->getIdBalanceDia()){
      return $o_BalanceDiaDP->selectByPk();
    }else{
      return $o_BalanceDiaDP->select();
    }
    
  }
  public function busquedaBalanceDiaHeader(BalanceDiaBean $o_BalanceDiaBean){
    $o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDiaBean);
    return $o_BalanceDiaDP->selectHeader();
  }
  
  public function busquedaBalanceDiaResulset(BalanceDiaBean $o_BalanceDiaBean){
    
    $o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDiaBean);
    return $o_BalanceDiaDP->selectResultset();
        
  }
  
  public function insertarBalanceDia(BalanceDiaBean $o_BalanceDiaBean){
    
    $o_BalanceDiaCT = new BalanceDiaCT();
    return $o_BalanceDiaCT->guardar($o_BalanceDiaBean);
    
  }
  public function modificarBalanceDia(BalanceDiaBean $o_BalanceDiaBean){
      $o_BalanceDiaCT = new BalanceDiaCT();
      return $o_BalanceDiaCT->modificar($o_BalanceDiaBean);
  }
  /**
	* Función que retorna un objeto BalanceDia o una lista de Objetos de BalanceDia,
	* dependiendo del parametro que se le envia si este contiene o no el Id de BalanceDia
	*
	* @param $o_BalanceDiaBean, es un objeto de tipo BalanceDia
	* @return Object
	*/
	public function modificarEstadoBalanceDia(BalanceDiaBean $o_BalanceDiaBean){
	  
	}
  
  public function eliminarBalanceDia(BalanceDiaBean $o_BalanceDiaBean){
    $o_BalanceDiaCT = new BalanceDiaCT();
    return $o_BalanceDiaCT->eliminar($o_BalanceDiaBean);
    
  }
  
  public function getCountResult(BalanceDiaBean $o_BalanceDiaBean){
    $o_BalanceDiaCT = new BalanceDiaCT();
    return $o_BalanceDiaCT->totalRegistros($o_BalanceDiaBean);
  }
  
}

